Bug 1467310 - [abrt] gnome-shell: proxy_name_owner_changed(): gnome-shell killed by SIGSEGV
[abrt] gnome-shell: proxy_name_owner_changed(): gnome-shell killed by SIGSEGV
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f9cf4862fda39be15154cc86212...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-03 07:09 EDT by Ting-Wei Lan
Modified: 2017-11-16 09:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (45.05 KB, text/plain)
2017-07-03 07:09 EDT, Ting-Wei Lan
no flags Details
File: cgroup (242 bytes, text/plain)
2017-07-03 07:09 EDT, Ting-Wei Lan
no flags Details
File: core_backtrace (5.37 KB, text/plain)
2017-07-03 07:09 EDT, Ting-Wei Lan
no flags Details
File: dso_list (28.94 KB, text/plain)
2017-07-03 07:09 EDT, Ting-Wei Lan
no flags Details
File: environ (2.02 KB, text/plain)
2017-07-03 07:09 EDT, Ting-Wei Lan
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-03 07:09 EDT, Ting-Wei Lan
no flags Details
File: maps (184.02 KB, text/plain)
2017-07-03 07:10 EDT, Ting-Wei Lan
no flags Details
File: mountinfo (4.42 KB, text/plain)
2017-07-03 07:10 EDT, Ting-Wei Lan
no flags Details
File: namespaces (102 bytes, text/plain)
2017-07-03 07:10 EDT, Ting-Wei Lan
no flags Details
File: open_fds (10.52 KB, text/plain)
2017-07-03 07:10 EDT, Ting-Wei Lan
no flags Details
File: proc_pid_status (1.31 KB, text/plain)
2017-07-03 07:10 EDT, Ting-Wei Lan
no flags Details
File: var_log_messages (9.51 KB, text/plain)
2017-07-03 07:10 EDT, Ting-Wei Lan
no flags Details
File: exploitable (117 bytes, application/octet-stream)
2017-07-03 07:10 EDT, Ting-Wei Lan
no flags Details

  None (edit)
Description Ting-Wei Lan 2017-07-03 07:09:43 EDT
Description of problem:
I typed 'sudo systemctl restart NetworkManager' and gnome-shell crashed. Wi-Fi hotspot was enabled, but it didn't seem to work.

Version-Release number of selected component:
gnome-shell-3.22.3-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: proxy_name_owner_changed
executable:     /usr/bin/gnome-shell
global_pid:     2221
kernel:         4.11.7-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 proxy_name_owner_changed at nm-object.c:155
 #1 ffi_call_unix64 at ../src/x86/unix64.S:76
 #2 ffi_call at ../src/x86/ffi64.c:525
 #3 g_cclosure_marshal_generic at gclosure.c:1490
 #4 marshal_dbus_message_to_g_marshaller at dbus-gproxy.c:1742
 #9 dbus_g_proxy_emit_remote_signal at dbus-gproxy.c:1795
 #10 dbus_g_proxy_manager_filter at dbus-gproxy.c:1356
 #17 meta_run at core/main.c:572

Potential duplicate: bug 1248864
Comment 1 Ting-Wei Lan 2017-07-03 07:09:50 EDT
Created attachment 1293832 [details]
File: backtrace
Comment 2 Ting-Wei Lan 2017-07-03 07:09:51 EDT
Created attachment 1293833 [details]
File: cgroup
Comment 3 Ting-Wei Lan 2017-07-03 07:09:53 EDT
Created attachment 1293834 [details]
File: core_backtrace
Comment 4 Ting-Wei Lan 2017-07-03 07:09:55 EDT
Created attachment 1293835 [details]
File: dso_list
Comment 5 Ting-Wei Lan 2017-07-03 07:09:57 EDT
Created attachment 1293836 [details]
File: environ
Comment 6 Ting-Wei Lan 2017-07-03 07:09:58 EDT
Created attachment 1293837 [details]
File: limits
Comment 7 Ting-Wei Lan 2017-07-03 07:10:03 EDT
Created attachment 1293838 [details]
File: maps
Comment 8 Ting-Wei Lan 2017-07-03 07:10:05 EDT
Created attachment 1293839 [details]
File: mountinfo
Comment 9 Ting-Wei Lan 2017-07-03 07:10:07 EDT
Created attachment 1293840 [details]
File: namespaces
Comment 10 Ting-Wei Lan 2017-07-03 07:10:09 EDT
Created attachment 1293841 [details]
File: open_fds
Comment 11 Ting-Wei Lan 2017-07-03 07:10:11 EDT
Created attachment 1293842 [details]
File: proc_pid_status
Comment 12 Ting-Wei Lan 2017-07-03 07:10:12 EDT
Created attachment 1293843 [details]
File: var_log_messages
Comment 13 Ting-Wei Lan 2017-07-03 07:10:14 EDT
Created attachment 1293844 [details]
File: exploitable
Comment 14 G. Michael Carter 2017-10-02 08:49:03 EDT
Similar problem has been detected:

Don't know how it happened.   Woke up this morning... unlocked my screen and this crash message was sitting there asking if I wanted to report it.  So said "yes"

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: proxy_name_owner_changed
executable:     /usr/bin/gnome-shell
global_pid:     13689
kernel:         4.12.13-200.fc25.x86_64
package:        gnome-shell-3.22.3-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1001
Comment 15 Fedora End Of Life 2017-11-16 09:37:42 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.